Help with RMS HQ DB upgrade


J

John Cosmas

I recently installed RMS HQ database on my HQ SERVER. When I try to login
from the POS REGISTER, it tells me that the database is a wrong version. I
ran the UPGRADE utility from RMS HQ ADMIN, and it completed it successfully
to 2.01. The POS REGISTER keeps complaining that it is unable to connect to
DB version 0.0, and that it requires 2.0. Please advise!

When I try to UPGRADE from the POS ADMIN, it tells me that it is unable to
upgrade a PRE-BETA DB. Is there a good and clean DB BACKUP I can use to get
this fixed?
 
Ad

Advertisements

J

John Cosmas

Thanks, Matt. I did apply the SP2 and it still does not resolve the problem.
I get the following message when I tried to UPGRADE the database...

The database [DBNAME] version is pre-beta and cannot be updated to the
current version.

I would like to get a BACKUP of a sample database that I can apply and get
working.
 
J

Jeff @ Check Point Software

John,

When you right click on the POS icon and go to properties, what does the Target line say?




Thanks, Matt. I did apply the SP2 and it still does not resolve the problem.
I get the following message when I tried to UPGRADE the database...

The database [DBNAME] version is pre-beta and cannot be updated to the
current version.

I would like to get a BACKUP of a sample database that I can apply and get
working.
 
M

Matt Hurst

the database is not the problem, it's the client. The way it works, is that
all the clients start at rms 2.0 with a database version of 2.00. Once one
of the clients gets upgraded to rms 2.0 service pack 2 it changes the
database version to 2.01. Now none of the other clients will connect until
they ALSO are upgraded to service pack 2. Don't try to upgrade the database
again, upgrade the clients.
 
Joined
May 2, 2012
Messages
5
Reaction score
0
We have installed the RMS HQ. HQ Client and SO 2.0.

I have created the DB as "test" on HQ and have given the same in SO admin.. but when i try to open the SO POS and SO Manager i am getting the error " The current database is of version 0.00, while this application requires version 2.00. Please run Store Operations Administrator to correct this problem."

Trouble shoot - i have tried in SO admin and try to upgrade in database option but i am getting the error as "The database 'test' version is predata and cannot be updated to the current version"

Then i tried in HQ admin and tried top upgrade in the db option - it is saying "database is upto date"

I am very much new to this RMS, would really appreciate if anyboody could assist me on this....

Thanks a lot in advance
Jascharan
 
Ad

Advertisements

Joined
May 2, 2012
Messages
5
Reaction score
0
We have installed the RMS HQ. HQ Client and SO 2.0.

I have created the DB as "test" on HQ and have given the same in SO admin.. but when i try to open the SO POS and SO Manager i am getting the error " The current database is of version 0.00, while this application requires version 2.00. Please run Store Operations Administrator to correct this problem."

Trouble shoot - i have tried in SO admin and try to upgrade in database option but i am getting the error as "The database 'test' version is predata and cannot be updated to the current version"

Then i tried in HQ admin and tried top upgrade in the db option - it is saying "database is upto date"

Even i tried with the SP 2 - Retail 2.0 - KB949666

I am very much new to this RMS, would really appreciate if anyboody could assist me on this....

Thanks a lot in advance
Jascharan
 

Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments. After that, you can post your question and our members will help you out.

Ask a Question

Similar Threads


Top